%define filename	intel-vaapi-driver

Summary:	Is the VA-API implementation for Intel GEN GPUs
Name:		vaapi-driver-intel
Version:	2.4.1
Release:	%mkrel 3
Group:		System/Kernel and hardware
License:	GPLv2+
URL:		https://github.com/01org/intel-vaapi-driver
Source:		https://github.com/01org/intel-vaapi-driver/releases/download/%{version}/%{filename}-%{version}.tar.bz2
# from git upstream (see https://github.com/intel/intel-vaapi-driver)
Patch0:		0002-Handle-odd-resolution.patch
Patch1:		0003-Avoid-GPU-crash-with-malformed-streams.patch
Patch2:		0004-The-3D-multisample-state-needs-to-be-resent-as-part-.patch
Patch3:		0005-Fix-VP9.2-config-verification.patch
Patch4:		0006-i965_device_info.c-Add-missing-entries-to-gen7_cpu_h.patch
# from RPM Fusion and https://github.com/intel/intel-vaapi-driver/pull/530/commits/d03fd1f86a9aeee0b33447aee3578aadb3a93f8a
Patch50:	0001-gen7-8_jpeg_decoder-Correct-component-ID-calculation.patch
# from https://github.com/intel/intel-vaapi-driver/pull/548/commits/65cc3fdfd9632c92f4012d793801b33188cbfd60
Patch51:	0001-i965_pci_ids-Add-CFL-PCI-ID-found-on-Xeon-W-1290P.patch
#
BuildRequires:	intel-gpu-tools
BuildRequires:	pkgconfig(libva) >= 1.6.0
BuildRequires:	meson
Provides:	%{filename} = %{version}-%{release}
ExclusiveArch:	%{ix86} x86_64

%description
Libva-driver-intel is the VA-API implementation for Intel GEN Graphics family.
The current video driver back-end provides a bridge to the GEN GPUs through the
packaging of buffers and commands to be sent to the i915 driver for exercising
both hardware and shader functionality for video decode, encode, and processing.

%prep
%setup -q -n %{filename}-%{version}
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/dri/*.la

%files
%doc NEWS
%{_libdir}/dri/*_drv_video.so


%changelog
* Thu Feb 09 2023 ghibo <ghibo> 2.4.1-3.mga9
+ Revision: 1939732
- Merge Patches from git upstream (fixes GPU crash on malformed streams).
- Merge Patch from RPM fusion (upstream issue #530) to fix JPEG decoding.
- Add support for Intel Xeon W-1290P/E chip id (upstream issue #548).
- Add intel-gpu-tools to BR.

* Wed Mar 30 2022 umeabot <umeabot> 2.4.1-2.mga9
+ Revision: 1834667
- Mageia 9 Mass Rebuild

* Wed Jul 01 2020 zezinho <zezinho> 2.4.1-1.mga8
+ Revision: 1600955
- new bugfix version 2.4.1

* Mon Apr 06 2020 zezinho <zezinho> 2.4.0-1.mga8
+ Revision: 1565224
- new version

* Mon Feb 17 2020 umeabot <umeabot> 2.3.0-4.mga8
+ Revision: 1537787
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Nov 10 2019 blino <blino> 2.3.0-3.mga8
+ Revision: 1459095
- fix VA with mesa >= 18.3 (wl_drm_interface not provided by libEGL)

* Thu Apr 18 2019 umeabot <umeabot> 2.3.0-2.mga7
+ Revision: 1392956
- Rebuild with meson 0.50.1

* Wed Jan 23 2019 zezinho <zezinho> 2.3.0-1.mga7
+ Revision: 1360272
- new version 2.3.0

* Sun Sep 23 2018 umeabot <umeabot> 2.1.0-2.mga7
+ Revision: 1301560
- Mageia 7 Mass Rebuild

* Wed Apr 04 2018 zezinho <zezinho> 2.1.0-1.mga7
+ Revision: 1215314
- new version 2.1.0
- remove old obsoletes that was for MGA4

* Tue Jul 18 2017 ghibo <ghibo> 1.8.3-1.mga7
+ Revision: 1124758
- Update to release 1.8.3

* Sat Nov 12 2016 zezinho <zezinho> 1.7.3-1.mga6
+ Revision: 1066753
- new version 1.7.3 to support recent Intel CPUs

* Mon May 30 2016 tv <tv> 1.6.2-2.mga6
+ Revision: 1019413
- do not bother build on arm

* Sun Mar 06 2016 zezinho <zezinho> 1.6.2-1.mga6
+ Revision: 986596
- new version 1.6.2

* Sat Oct 10 2015 ovitters <ovitters> 1.6.1-2.mga6
+ Revision: 889405
- enable hybrid-codec support

* Tue Sep 29 2015 zezinho <zezinho> 1.6.1-1.mga6
+ Revision: 885171
- new version 1.6.1

* Fri Dec 05 2014 zezinho <zezinho> 1.4.1-1.mga5
+ Revision: 801614
- new version 1.4.1

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-4.mga5
+ Revision: 742598
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-3.mga5
+ Revision: 690117
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.2.1-2.mga4
+ Revision: 545175
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 anssi <anssi> 1.2.1-1.mga4
+ Revision: 500874
- new version 1.2.1

* Thu Jun 27 2013 tv <tv> 1.2.0-1.mga4
+ Revision: 447521
- new release

* Sun Mar 31 2013 colin <colin> 1.0.20-1.mga3
+ Revision: 406858
- New version: 1.0.20

* Mon Jan 14 2013 umeabot <umeabot> 1.0.19-3.mga3
+ Revision: 385219
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 luigiwalser <luigiwalser> 1.0.19-2.mga3
+ Revision: 343318
- fix for automake 1.13

* Fri Nov 09 2012 blino <blino> 1.0.19-1.mga3
+ Revision: 316782
- really use 1.0.19 tarball and fix filename
+ tv <tv>
- new release

* Wed Jun 13 2012 tv <tv> 1.0.18-1.mga3
+ Revision: 260370
- new release

* Sat Jun 02 2012 tv <tv> 1.0.17-1.mga3
+ Revision: 253466
- new release

* Tue Mar 06 2012 anssi <anssi> 1.0.15-2.mga2
+ Revision: 220407
- obsolete old vaapi-driver-i965 package for smooth upgrade

* Tue Dec 06 2011 tv <tv> 1.0.15-1.mga2
+ Revision: 177973
- imported package vaapi-driver-intel


* Tue Dec 06 2011 Thierry Vignaud <thierry.vignaud@gmail.com> 1.0.15-1.mga2
- initial release

